<?php

/*
 * @component UserPoints
 * @copyright Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @license : GNU/GPL
 * @Website : https://remository.com
 */

namespace BlackSheepResearch\Component\UserPoints\Administrator\Viewers;

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Pagination\Pagination;
use Joomla\CMS\HTML\HTMLHelper;

class ReportsystemHTML extends AdminHTML {

	function show() {
		Factory::getApplication()->input->set( 'hidemainmenu', 1 );
		$logo = '<img src="'. Uri::root() . 'administrator/components/com_userpoints/assets/images/icon-48-userpoints.png" />&nbsp;&nbsp;';
		ToolbarHelper::title( $logo . 'UserPoints :: ' . Text::_('AUP_REPORT_SYSTEM'), 'config' );
		$this->getCpanelToolbar();
		ToolbarHelper::back();
		$this->getPrefHelpToolbar();
		parent::display();
	}
}
